class PayPackageEntity {
  late List<PayPackagePayPackageList>? payPackageList;

  PayPackageEntity({required this.payPackageList});

  PayPackageEntity.fromJson(Map<String, dynamic> json) {
    if (json['pay_package_list'] != null) {
      payPackageList = <PayPackagePayPackageList>[];
      for (var v in (json['pay_package_list'] as List)) {
        payPackageList?.add(PayPackagePayPackageList.fromJson(v));
      }
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (payPackageList != null) {
      data['pay_package_list'] = payPackageList?.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class PayPackagePayPackageList {
  late bool isPureSuperPay;
  late String appDes;
  late String appName;
  late String downloadUrl;
  late String back;
  late String packageName;
  late bool isSupportSubscribe;
  late String serviceName;
  late String md5;

  PayPackagePayPackageList(
      {required this.isPureSuperPay,
      required this.appDes,
      required this.appName,
      required this.downloadUrl,
      required this.back,
      required this.packageName,
      required this.isSupportSubscribe,
      required this.serviceName,
      required this.md5});

  PayPackagePayPackageList.fromJson(Map<String, dynamic> json) {
    isPureSuperPay = json['isPureSuperPay'];
    appDes = json['appDes'];
    appName = json['appName'];
    downloadUrl = json['downloadUrl'];
    back = json['back'];
    packageName = json['packageName'];
    isSupportSubscribe = json['isSupportSubscribe'];
    serviceName = json['serviceName'];
    md5 = json['md5'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['isPureSuperPay'] = isPureSuperPay;
    data['appDes'] = appDes;
    data['appName'] = appName;
    data['downloadUrl'] = downloadUrl;
    data['back'] = back;
    data['packageName'] = packageName;
    data['isSupportSubscribe'] = isSupportSubscribe;
    data['serviceName'] = serviceName;
    data['md5'] = md5;
    return data;
  }
}
